<?php
    //データベースからユーザの端末情報を取得
    try {
        $dbh = new PDO($dsn, $user, $password);
    } catch (PDOException $e) {
		header("Location: ./error.php");
        exit();
    }
	
	//初期作成のための確認    
	//テーブルの存在確認
    $sql = 'SHOW TABLES LIKE devices';
    $prepare = $dbh->prepare($sql);
    $prepare->execute();
    $result = $prepare->fetchAll(PDO::FETCH_ASSOC);

    if (!isset($result[0])) {
    //ユーザデバイスデータベース作成
		$sql = 'CREATE TABLE `'.$dbname.'`.`devices` (' .
               '`id` INT(5) NOT NULL AUTO_INCREMENT ,' .
			   ' `name` VARCHAR(20) NOT NULL ,' .
			   ' `model` VARCHAR(20) NULL DEFAULT NULL ,' .
			   ' `serial` VARCHAR(20) NULL DEFAULT NULL ,' .
			   ' `unit` INT(3) NOT NULL DEFAULT 0 ,' .
			   ' `marks` VARCHAR(40) NULL DEFAULT NULL ,' .
			   ' `ability` BOOLEAN NOT NULL DEFAULT TRUE ,' .
			   ' `alert` VARCHAR(200) NULL DEFAULT NULL , PRIMARY KEY (`id`)' .
			   ') ENGINE = InnoDB' ;
		
		$prepare = $dbh->prepare($sql);
		$prepare->execute();
		$result = $prepare->fetchAll(PDO::FETCH_ASSOC);	
	}

    
	//デバイス設定データの取得
    $sql = 'SELECT id,name,model,serial,unit,marks,alert FROM devices WHERE ability is true';
    $prepare = $dbh->prepare($sql);
    $prepare->execute();
    $result = $prepare->fetchAll(PDO::FETCH_ASSOC);

    $deviceids = array_column($result, 'id');
	$devicenames = array_column($result, 'name');
	$devicemodels = array_column($result, 'model');
	$deviceserials = array_column($result, 'serial');
	$deviceunits = array_column($result, 'unit');
	$devicemarkses = array_column($result, 'marks');
    $devicealerts = array_column($result, 'alert');
    
	$i=0;
    $devices = array();
	foreach ($deviceids as $id){
		$devices[$id] = array('name'=> $devicenames[$i],
                              'model'=> $devicemodels[$i],
                              'serial'=> $deviceserials[$i],
                              'unit_no'=> $deviceunits[$i],
                              'unit'=> $units[$deviceunits[$i]],
                              'marks'=> $devicemarkses[$i],
                              'alert'=> $devicealerts[$i]);
		$i=$i+1;
	}
	
	//その他初期設定
    $current_deviceid = "0";
?>