<?php

    //初期データ読み込み
    require('ini.php');
    require('initial_read.php');

	
	//ページID
	$thispage = "showdata";
	
	//デバイス番号
	if(ctype_digit ( $_GET['deviceid'] )){
		$current_deviceid = $_GET['deviceid'];
	}else{
		header("Location: ./index.php");
        exit();
	}
	
?>

<!DOCTYPE html>
<html lang="ja">

<?php
    //ヘッダー情報の読み込み
    require('menu_head.php');
?>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

<?php
    //初期データ読み込み
    require('menu_side.php');
?>

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

<?php
    //初期データ読み込み
    require('menu_topbar.php');
?>

        <!-- Begin Page Content -------------------------------------------------------------------------------------------------->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <h1 class="h3 mb-2 text-gray-800"><?=$devices[$current_deviceid]['name']?> &lt;<?=$devices[$current_deviceid]['model']?>&gt;</h1>
                    <p class="mb-4">デバイス管理番号：<?=$current_deviceid?></p>
<?php //var_dump($devices); ?>
                    <!-- Content Row -->
                    <div class="row">

                        <!-- 温度計現在値の表示 -->
                        <div class="col-xl-3 col-md-4 mb-4">
                            <div class="card border-left-primary shadow h-100 py-2">
                                <div class="card-body">
                                    <div class="row no-gutters align-items-center">
                                        <div class="col mr-2">
					    <?php require('curretdata.php'); ?>
					    <div class="text-xs font-weight-bold text-primary text-uppercase mb-1"><?=$devices[$current_deviceid]['name']?></div>
                                            <div class="h5 mb-0 font-weight-bold text-gray-800"><?php echo $currentdata; ?>　<?=$devices[$current_deviceid]['unit']?></div>
                                            <div class="text-xs font-weight-bold"><?php echo $currenttime; ?></div>
                                        </div>
                                        <div class="col-auto">
                                            <i class="fas fa-2x text-gray-300"><?=$devices[$current_deviceid]['unit']?></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
			
			        </div>


					<div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <!-- Area Chart -->
                            <div class="card shadow mb-4">
                                <div class="card-header py-3">
                                    <h6 class="m-0 font-weight-bold text-primary">温度データ(過去１日分)</h6>
                                </div>
                                <div class="card-body">
                                    <div class="chart-area">
                                        <canvas id="myAreaChart"></canvas>
                                    </div>
                                    <hr>
                                    <font size=-3>データの表示は、Chart.js</font>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
                <!-- /.container-fluid -->

            </div>
      <!-- End of Main Content  -------------------------------------------------------------------------------------------------->

<?php
    //初期データ読み込み
    require('menu_footer.php');
?>

    </div>
    <!-- End of Content Wrapper -->

  </div>
  <!-- End of Page Wrapper -->

<?php
    //ヘッダー情報の読み込み
    require('menu_buttom.php');
?>

    <!-- Page level custom scripts -->
    <script src="get-chart-data.php?deviceid=<?=$current_deviceid?>"></script>

</body>

</html>
