<?php

    //初期データ読み込み
    require('ini.php');
    require('initial_read.php');
	
	//ページID
	$thispage = "index";
?>

<!DOCTYPE html>
<html lang="ja">

<?php
    //ヘッダー情報の読み込み
    require('menu_head.php');
?>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

<?php
    //初期データ読み込み
    require('menu_side.php');
?>

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

<?php
    //初期データ読み込み
    require('menu_topbar.php');
?>

        <!-- Begin Page Content -------------------------------------------------------------------------------------------------->
        <div class="container-fluid">

          <!-- Page Heading -->
          <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Dashboard <?=$message?></h1>
            <!--a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i class="fas fa-download fa-sm text-white-50"></i> Generate Report</a-->
          </div>

		    <?php
			 	//print("<br>devices<br>\n");
				    //var_dump($devices);
			 	//print("<br>devicetypes<br>\n");
				//    var_dump($devicetypes);
			 	//print("<br>deviceids<br>\n");
				//    var_dump($deviceids);
			?>
			
          <!-- Content Row -->
          <div class="row">
		  
            <!-- 温度計現在値の表示 -->
			<?php
			$i=0;
			foreach (array_keys($devices) as $deviceid){
            print ' <div class="col-xl-3 col-md-4 mb-4">' . "\n";
            print '   <div class="card border-left-primary shadow h-100 py-2">' . "\n";
            print '     <div class="card-body">' . "\n";
            print '       <div class="row no-gutters align-items-center">' . "\n";
            print '         <div class="col mr-2">' . "\n";
			$current_deviceid = $deviceid;
			require('curretdata.php');
			print '				<div class="text-xs font-weight-bold text-primary text-uppercase mb-1">'.$devices[$current_deviceid]['name'].'</div>'."\n";
			print '				<div class="h5 mb-0 font-weight-bold text-gray-800">'.$currentdata.'　'.$devices[$current_deviceid]['unit'].'</div>'."\n";
			print '             <div class="text-xs font-weight-bold">'.$currenttime.'</div>'."\n";
			print '         </div>'."\n";
			print '			<div class="col-auto">'."\n";
			print '           <i class="fas fa-2x text-gray-300">'.$devices[$current_deviceid]['unit'].'</i>'."\n";
            print '         </div>' . "\n";
            print '       </div>' . "\n";
            print '     </div>' . "\n";
            print '   </div>' . "\n";
			print '</div>' . "\n";
			}
			?>

          </div>

        </div>
        <!-- /.container-fluid -->

      </div>
      <!-- End of Main Content  -------------------------------------------------------------------------------------------------->

<?php
    //初期データ読み込み
    require('menu_footer.php');
?>

    </div>
    <!-- End of Content Wrapper -->

  </div>
  <!-- End of Page Wrapper -->

<?php
    //ヘッダー情報の読み込み
    require('menu_buttom.php');
?>

</body>

</html>
